Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface LifecycleService

All Superinterfaces:
  java.rmi.Remote

      public interface LifecycleService

extends java.rmi.Remote

Lifecycle Service web service interface

Method Summary
`VirtualDisk` | `addDisk(VirtualMachine virtualMachine, DiskConfig diskConfig)`
`VirtualNetworkCard` | `addNIC(VirtualMachine virtualMachine, NICConfig nicConfig)`
`void` | `attachCDtoVM(VirtualMachine virtualMachine, CdConfig cdConfig)`
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk sharedDisk)`
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk disk, HardDriveType type, java.lang.String frontEndName)`
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk disk, HardDriveType type, java.lang.String frontEndName, DiskMode mode)`
`void` | `changeNetworkType(VirtualMachine vm, NetworkType type)`
`VirtualMachine` | `clone(CloneVmConfig conf)`
`VirtualMachine` | `createVmBasedOnISO(ISOVmConfig conf)`
`VirtualMachine` | `createVmBasedOnPXE(PXEVMConfig pxeVMConfig)`
`VirtualMachine` | `createVmBasedOnTemplate(TemplateVmConfig templateVMConfig)`
`VirtualMachine` | `deploy(DeployVmConfig conf)`
`void` | `detachCD(VirtualMachine virtualMachine)`
`void` | `detachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk sharedDisk)`
`void` | `disableHA(VirtualMachine vm)`
`void` | `enableHA(VirtualMachine vm)`
`java.lang.String` | `getConsolePassword(VirtualMachine vm)`
`KeyboardLayout[]` | `getKeyboardLayoutArray()`
`OVMGroup` | `getVMGroupByVMId(java.lang.Long vmId)`
`void` | `liveMigrate(VirtualMachine virtualMachine)`
`void` | `liveMigrate(VirtualMachine virtualMachine, VirtualServer virtualServer)`
`void` | `liveMigrateAll(VirtualServer virtualServer)`
`void` | `liveMigrateAll(VirtualServer srcServer, VirtualServer tgtServer)`
`void` | `removeDisk(VirtualDisk disk)`
`void` | `removeNIC(VirtualNetworkCard nic)`
`VirtualMachine` | `resetStatus(VirtualMachine virtualMachine)`
`void` | `setBootPriority(VirtualMachine virtualMachine, BootDevice val)`
`void` | `setConsolePassword(VirtualMachine vm, java.lang.String password)`
`void` | `setCpuCores(VirtualMachine virtualMachine, java.lang.Integer val)`
`void` | `setDynamicMemory(VirtualMachine virtualMachine, java.lang.Integer val)`
`void` | `setGuestCredential(VirtualMachine vm, java.lang.String username, java.lang.String password)`
`void` | `setMaximumMemory(VirtualMachine virtualMachine, java.lang.Integer val)`
`void` | `setNetworkInsideGuest(VirtualNetworkCard[] networks)`
`void` | `setOperatingSystem(VirtualMachine vm, OperatingSystem os)`
`void` | `setPreferredServers(VirtualMachine virtualMachine, VirtualServer[] preferredServers)`
`void` | `setVMConfigParam(java.lang.Long vmId, java.lang.String paramKey, java.lang.String paramValue)`
`void` | `setVMDescription(VirtualMachine virtualMachine, java.lang.String val)`
`void` | `setVMKeyboardLayout(java.lang.Long vmId, KeyboardLayout keyboardLayout)`

Method Detail

### attachSharedVirtualDisk

    void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk disk,
                                 HardDriveType type,
                                 java.lang.String frontEndName,
                                 DiskMode mode)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### liveMigrateAll

    void liveMigrateAll(VirtualServer virtualServer)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### disableHA

    void disableHA(VirtualMachine vm)
                   throws oracle.ovs.biz.exception.OVSException,
                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### addDisk

    VirtualDisk addDisk(VirtualMachine virtualMachine,
                        DiskConfig diskConfig)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### detachCD

    void detachCD(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException,
                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### attachCDtoVM

    void attachCDtoVM(VirtualMachine virtualMachine,
                      CdConfig cdConfig)
                      throws oracle.ovs.biz.exception.OVSException,
                             java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setGuestCredential

    void setGuestCredential(VirtualMachine vm,
                            java.lang.String username,
                            java.lang.String password)
                            throws oracle.ovs.biz.exception.OVSException,
                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### liveMigrate

    void liveMigrate(VirtualMachine virtualMachine,
                     VirtualServer virtualServer)
                     throws oracle.ovs.biz.exception.OVSException,
                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setMaximumMemory

    void setMaximumMemory(VirtualMachine virtualMachine,
                          java.lang.Integer val)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### addNIC

    VirtualNetworkCard addNIC(VirtualMachine virtualMachine,
                              NICConfig nicConfig)
                              throws oracle.ovs.biz.exception.OVSException,
                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setNetworkInsideGuest

    void setNetworkInsideGuest(VirtualNetworkCard[] networks)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getKeyboardLayoutArray

    KeyboardLayout[] getKeyboardLayoutArray()
                                            throws oracle.ovs.biz.exception.OVSException,
                                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### attachSharedVirtualDisk

    void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk sharedDisk)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### removeDisk

    void removeDisk(VirtualDisk disk)
                    throws oracle.ovs.biz.exception.OVSException,
                           java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setBootPriority

    void setBootPriority(VirtualMachine virtualMachine,
                         BootDevice val)
                         throws oracle.ovs.biz.exception.OVSException,
                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setVMDescription

    void setVMDescription(VirtualMachine virtualMachine,
                          java.lang.String val)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### liveMigrate

    void liveMigrate(VirtualMachine virtualMachine)
                     throws oracle.ovs.biz.exception.OVSException,
                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setDynamicMemory

    void setDynamicMemory(VirtualMachine virtualMachine,
                          java.lang.Integer val)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### detachSharedVirtualDisk

    void detachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk sharedDisk)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setCpuCores

    void setCpuCores(VirtualMachine virtualMachine,
                     java.lang.Integer val)
                     throws oracle.ovs.biz.exception.OVSException,
                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### attachSharedVirtualDisk

    void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk disk,
                                 HardDriveType type,
                                 java.lang.String frontEndName)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setOperatingSystem

    void setOperatingSystem(VirtualMachine vm,
                            OperatingSystem os)
                            throws oracle.ovs.biz.exception.OVSException,
                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### removeNIC

    void removeNIC(VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException,
                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createVmBasedOnISO

    VirtualMachine createVmBasedOnISO(ISOVmConfig conf)
                                      throws oracle.ovs.biz.exception.OVSException,
                                             java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### resetStatus

    VirtualMachine resetStatus(VirtualMachine virtualMachine)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### liveMigrateAll

    void liveMigrateAll(VirtualServer srcServer,
                        VirtualServer tgtServer)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### changeNetworkType

    void changeNetworkType(VirtualMachine vm,
                           NetworkType type)
                           throws oracle.ovs.biz.exception.OVSException,
                                  java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setVMConfigParam

    void setVMConfigParam(java.lang.Long vmId,
                          java.lang.String paramKey,
                          java.lang.String paramValue)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createVmBasedOnPXE

    VirtualMachine createVmBasedOnPXE(PXEVMConfig pxeVMConfig)
                                      throws oracle.ovs.biz.exception.OVSException,
                                             java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setPreferredServers

    void setPreferredServers(VirtualMachine virtualMachine,
                             VirtualServer[] preferredServers)
                             throws oracle.ovs.biz.exception.OVSException,
                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setVMKeyboardLayout

    void setVMKeyboardLayout(java.lang.Long vmId,
                             KeyboardLayout keyboardLayout)
                             throws oracle.ovs.biz.exception.OVSException,
                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createVmBasedOnTemplate

    VirtualMachine createVmBasedOnTemplate(TemplateVmConfig templateVMConfig)
                                           throws oracle.ovs.biz.exception.OVSException,
                                                  java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setConsolePassword

    void setConsolePassword(VirtualMachine vm,
                            java.lang.String password)
                            throws oracle.ovs.biz.exception.OVSException,
                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getConsolePassword

    java.lang.String getConsolePassword(VirtualMachine vm)
                                        throws oracle.ovs.biz.exception.OVSException,
                                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getVMGroupByVMId

    OVMGroup getVMGroupByVMId(java.lang.Long vmId)
                              throws oracle.ovs.biz.exception.OVSException,
                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### clone

    VirtualMachine clone(CloneVmConfig conf)
                         throws oracle.ovs.biz.exception.OVSException,
                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### enableHA

    void enableHA(VirtualMachine vm)
                  throws oracle.ovs.biz.exception.OVSException,
                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### deploy

    VirtualMachine deploy(DeployVmConfig conf)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.